Rpa get task detail
curl --request GET \
--url https://user.pmock.com/api/open/api/rpa/task/getInfo/{id}import requests
url = "https://user.pmock.com/api/open/api/rpa/task/getInfo/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://user.pmock.com/api/open/api/rpa/task/getInfo/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"traceId": "<string>",
"code": 123,
"msg": "<string>",
"status": "finish",
"data": {
"id": 123,
"templateName": "<string>",
"name": "<string>",
"phoneNum": 123,
"status": 123,
"startTime": "<string>",
"endTime": "<string>",
"taskList": [
{
"id": 123,
"code": "<string>",
"phoneName": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"params": {
"key": "<string>"
},
"failIdx": 123,
"errorImgUrl": "<string>",
"status": 123,
"nodeList": [
{
"id": 123,
"taskId": 123,
"idx": 123,
"parentIdx": 123,
"type": 123,
"name": "<string>",
"start": "<string>",
"cost": 123,
"status": 123,
"nextIdx": 123,
"description": "<string>",
"hasChildren": true,
"childrenList": [
"<unknown>"
]
}
]
}
],
"createTime": "<string>"
}
}RPA
Rpa get task detail
RPA
GET
/
open
/
api
/
rpa
/
task
/
getInfo
/
{id}
Rpa get task detail
Path Parameters
Response
200 - application/json
⌘I
